module modannealable
!This module describes an annealable object
use modparam
implicit none
private
public :: annealable, initState, energyState, saveMinState, restoreMinState, &
          saveOldState, changeState, unChangeState

type annealable
    real(KRL) :: a
end type annealable    

interface initState
    module procedure initState1
end interface initState

interface energyState
    module procedure energyState1
end interface energyState

interface saveMinState
    module procedure saveMinState1
end interface saveMinState

interface restoreMinState
    module procedure restoreMinState1
end interface restoreMinState

interface saveOldState
    module procedure saveOldState1
end interface saveOldState

interface changeState
    module procedure changeState1
end interface changeState

interface unChangeState
    module procedure unChangeState1
end interface unChangeState

contains

integer(KIL) function initState1(self)
    type(annealable), intent(inout) :: self
    initState1 = 0
end function initState1

real(KRL) function energyState1(self)
    type(annealable), intent(inout) :: self
    energyState1 = 0.0_KRL
end function energyState1

subroutine saveMinState1(self)
    type(annealable), intent(inout) :: self
end subroutine saveMinState1

integer(KIL) function restoreMinState1(self)
    type(annealable), intent(inout) :: self
    restoreMinState1 = 0
end function restoreMinState1

subroutine saveOldState1(self)
    type(annealable), intent(inout) :: self
end subroutine saveOldState1

integer(KIL) function changeState1(self)
    type(annealable), intent(inout) :: self
    changeState1 = 0
end function changeState1

integer(KIL) function unChangeState1(self)
    type(annealable), intent(inout) :: self
    unChangeState1 = 0
end function unChangeState1

end module modannealable
