import random
r = random.Random()
pop = []
norg = 15
ngen = 30


def evolve():
    "Do the algorithm for ngen generatioons."
    global pop
    createInitialPop()
    for igen in range(ngen):
        print(pop)
        fits = [fitness(c) for c in pop]
        sfits = sum(fits)
        fits = [f/sfits for f in fits]
        #print("fits=", fits)
        for i in range(1, len(fits)):
            fits[i] += fits[i-1]
        popn = []
        pairs = set()
        for ipair in range(norg//2):
            #while 1:
            #    i = select1(fits)
            #    while 1:
            #        j = select1(fits)
            #        if j != i: break
            #    if (i, j) not in pairs: break
            #pairs.add((i, j))
            i = select1(fits)
            j = select1(fits)
            a = "{:05b}".format(pop[i])
            b = "{:05b}".format(pop[j])
            i = r.randint(0, 4)
            c = a[:i]+b[i:]
            d = b[:i]+a[i:]
            if r.random()<0.05:
                i = r.randint(0, 4)
                print("mutation")
                if c[i] == "0": c = c[:i]+"1"+c[i+1:]
                else:           c = c[:i]+"0"+c[i+1:]
            popn.append(int("0b"+c, 2))
            popn.append(int("0b"+d, 2))
        pop = popn
    
def select1(fits):
    "Select one of normalized fitnesses."
    a = r.random()
    for i in range(len(fits)):
        if a <= fits[i]: return i
    assert 0, 'What?'

def createInitialPop():
    "Crate norg animals."
    for i in range(norg):
        k = r.randint(0, 31)
        pop.append(k)

def fitness(c):
    "Find fitness given the chromosomes."
    return c**2

evolve()
